/* lanciosatellitep1.c   
Calcolo della velocit orbitale Vorb(H) di un satellite artificile in funzione della quota H di immissione in orbita*/

#include <iostream.h>
#include <stdio.h>
#include <conio.h>
#include <math.h>

char c;
float H, Vorb ; /*H quota di immissione in orbita in km, Vorb velocit orbitale in km/h */

float G = 6.67E-11; /* costante di gravitazione universale in N*m^2/Kg^2 */
float Mt = 5.983E24; /* massa terrestre in kg*/
float Reqt = 6378 ;/*raggio equatoriale terrestre in km*/

int main()

{
 do
   {	  
	 cout<<"Inserire la quota H dell'orbita equatoriale (in km) \n\n oppure premere il tasto u per uscire dal programma:";
	 cin>>H;
	 cout<<"\n";
	 Vorb = sqrt(G* Mt/(H*1000 + Reqt*1000)); /*velocit orbitale in m/s)*/
	 printf ("La velocita' orbitale alla quota H di %8.3f km e' \n Vorb = %8.3f km/s = %8.3f km/h \n\n\n", H, Vorb*1E-3, 3600*Vorb*1E-3);
	 /* la direttiva di formattazione %8.3f serve a comunicare al compilatore che i valori numerici devono essere visualizzati 
	 con 8 cifre, di cui 3 dopo la virgola*/	 
	 c=getch(); /*in attesa di un carattere*/
   }while (c != 'u');	
} 	
